### Hierarchy

- EnumeratorConstructor

## Index

### Constructors

- constructor

## Constructors

### constructor

- new EnumeratorConstructor<T>(safearray: SafeArray<T>): Enumerator<T>
- new EnumeratorConstructor<T>(collection: object): Enumerator<T>
- new EnumeratorConstructor<T>(collection: any): Enumerator<T>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:265

  #### Type parameters

  - #### T

  #### Parameters

  - ##### safearray: SafeArray<T>

  #### Returns Enumerator<T>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:266

  #### Type parameters

  - #### T

  #### Parameters

  - ##### collection: object

    - ##### Item: function

      - Item(index: any): T
      - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:267

        #### Parameters

        - ##### index: any

        #### Returns T

  #### Returns Enumerator<T>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:267

  #### Type parameters

  - #### T

  #### Parameters

  - ##### collection: any

  #### Returns Enumerator<T>

Generated using TypeDoc